# Record Class MEPackage

java.lang.Object
java.lang.Record
com.io7m.montarre.adoptium.internal.MEPackage

public record MEPackage(String name, String link, long size, String checksum) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MEPackage(String name, String link, long size, String checksum)`
  Creates an instance of a `MEPackage` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `checksum()`
  Returns the value of the `checksum` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `link()`
  Returns the value of the `link` record component.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `long`
  `size()`
  Returns the value of the `size` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MEPackage

    public MEPackage(String name, String link, long size, String checksum)
    Creates an instance of a `MEPackage` record class.
    Parameters:
      `name` - the value for the `name` record component
      `link` - the value for the `link` record component
      `size` - the value for the `size` record component
      `checksum` - the value for the `checksum` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### link

    public String link()
    Returns the value of the `link` record component.
    Returns:
      the value of the `link` record component

  - ### size

    public long size()
    Returns the value of the `size` record component.
    Returns:
      the value of the `size` record component

  - ### checksum

    public String checksum()
    Returns the value of the `checksum` record component.
    Returns:
      the value of the `checksum` record component